{% extends 'company_location_management/matching/matching.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/matching/object_overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/matching/object_overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Objekte zum Matching <span class="text-secondary">({{ buildingUnits|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#matching_object_filter" aria-expanded="false" aria-controls="matching_object_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
            {% if matchingFilter.isFilterActive() %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Filter aktiv</span>
                </span>
            {% endif %}
        </button>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#matching_object_search" aria-expanded="false" aria-controls="matching_object_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
            {% if matchingSearchForm.vars.data.getText() != null %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Suche aktiv</span>
                </span>
            {% endif %}
        </button>
    </div>
    <div class="collapse bg-white" id="matching_object_search">
        <div class="p-4">
            {{ form_start(matchingSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': matchingSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': matchingSearchForm.text.vars.id ~ '_label',
                        'label': matchingSearchForm.text.vars.label,
                        'type': 'text',
                        'name': matchingSearchForm.text.vars.full_name,
                        'value': matchingSearchForm.text.vars.value,
                        'disabled': matchingSearchForm.text.vars.disabled,
                        'required': matchingSearchForm.text.vars.required,
                        'suffix': null,
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(matchingSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(matchingSearchForm._token) }}
            {{ form_end(matchingSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="matching_object_filter">
        <div class="p-4">
            {{ form_start(matchingFilterForm) }}
            {% include 'company_location_management/form/matching/matching_filter_form.html.twig' with {'form': matchingFilterForm} only %}
            {{ form_widget(matchingFilterForm.apply, {'label': 'Übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading'}}) }}
            {{ form_widget(matchingFilterForm.reset, {'label': 'Filter Zurücksetzen', 'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            {{ form_row(matchingFilterForm._token) }}
            {{ form_end(matchingFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="mt-4 container-lg">
        <div class="row g-3 mb-4">
            {% if buildingUnits is empty %}
                <div class="col-12">
                    <div class="mdc-card p-4 mb-4">
                        Derzeit gibt es keine leerstehenden oder leerfallenden Objekte.
                    </div>
                </div>
            {% else %}
                {% for buildingUnit in buildingUnits %}
                    <div class="col-12 col-sm-6 col-md-6 col-lg-4 col-xl-3">
                        {% include 'company_location_management/component/matching/object_card_component.html.twig' with {'buildingUnit': buildingUnit} only %}
                    </div>
                {% endfor %}
                <div class="col-12">
                    <div class="mdc-card">
                        {% include 'component/mdc_data_table_pagination_component.html.twig' with {
                            'id': 'matching_pagination',
                            'numberOfItems': buildingUnits|length,
                            'itemNamePlural': 'Objekte',
                            'selectableValues': [12, 24, 48]
                        } only %}
                    </div>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}
